# SerializableVector

data class SerializableVector(x: Double, y: Double, z: Double) : SpigotSerializable<Vector>
Content copied to clipboard

## Constructors

SerializableVector
Link copied to clipboard
fun SerializableVector(vec: Vector)
Content copied to clipboard

## Types

Companion
Link copied to clipboard
object Companion : SpigotSerializableCompanion<SerializableVector>
Content copied to clipboard

## Functions

toSpigot
Link copied to clipboard
open override fun toSpigot(): Vector
Content copied to clipboard
Converts this serializable object into the corresponding spigot object.

## Properties

x
Link copied to clipboard
val x: Double
Content copied to clipboard
y
Link copied to clipboard
val y: Double
Content copied to clipboard
z
Link copied to clipboard
val z: Double
Content copied to clipboard